Scrape V2
Post by ID V2
Fetch a single post by ID. Returns full post data including title, body, score, awards, flair, media, and more.
GET /api/v2/content/by-id
Fetch a single post by ID. Returns full post data including title, body, score, awards, flair, media, and more.
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
post_id | string | Yes | Post URL, t3_ID, or raw ID. |
Authentication
| Header | Value |
|---|---|
X-RapidAPI-Key | Your RapidAPI key |
X-RapidAPI-Host | red-crawler1.p.rapidapi.com |
Example request
cURL
curl -X GET "https://red-crawler1.p.rapidapi.com/api/v2/content/by-id?post_id=t3_1sys4r2" \
-H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
-H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"JavaScript
const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v2/content/by-id?post_id=t3_1sys4r2", {
method: "GET",
headers: {
"X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
"X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
});
const data = await res.json();
console.log(data);Python
import requests
url = "https://red-crawler1.p.rapidapi.com/api/v2/content/by-id?post_id=t3_1sys4r2"
headers = {
"X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
"X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())Example response
HTTP 200 — captured from a live call to the gateway.
{
"success": true,
"data": {
"success": true,
"post": {
"authorCommunityBadge": null,
"subreddit": {
"id": "t5_examples",
"name": "test",
"prefixedName": "r/test",
"isQuarantined": false,
"title": "Testing",
"type": "PUBLIC",
"subscribersCount": 41527,
"isNsfw": false,
"isSubscribed": false,
"isThumbnailsEnabled": true,
"styles": {
"icon": null,
"legacyIcon": null,
"primaryColor": null,
"backgroundColor": "#000000",
"bannerBackgroundImage": null,
"legacyPrimaryColor": null
},
"modPermissions": null,
"communityStatus": null,
"isTitleSafe": false,
"isUserBanned": false,
"tippingStatus": null,
"whitelistStatus": "NO_ADS"
},
"crosspostRoot": null,
"id": "t3_1sys4r2",
"createdAt": "2026-04-29T07:50:32.872000+0000",
"editedAt": null,
"postTitle": "image post",
"url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"content": {
"markdown": "image post body",
"richtext": "{\"document\":[{\"c\":[{\"e\":\"text\",\"t\":\"image post body\"}],\"e\":\"par\"}]}",
"html": "image post body",
"richtextMedia": [],
"preview": "image post body"
},
"domain": "i.redd.it",
"isSpoiler": false,
"isNsfw": false,
"isCommercialCommunication": false,
"isLocked": false,
"isSaved": false,
"isHidden": false,
"isGildable": false,
"isCrosspostable": false,
"isScoreHidden": false,
"isArchived": false,
"isStickied": false,
"isPollIncluded": false,
"poll": null,
"isFollowed": false,
"awardingsInfo": null,
"awardings": [],
"isContestMode": false,
"distinguishedAs": null,
"voteState": "NONE",
"score": 1,
"commentCount": 0,
"authorFlair": null,
"flair": null,
"authorInfo": {
"id": "t2_exampleu",
"name": "Motor_Tip8865",
"isBlocked": false,
"isCakeDayNow": false,
"attributes": {},
"newIcon": {
"url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"dimensions": {
"width": 256,
"height": 256
}
},
"iconSmall": {
"url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"dimensions": {
"width": 256,
"height": 256
}
},
"snoovatarIcon": null,
"profile": {
"isNsfw": false
},
"accountType": "USER"
},
"isThumbnailEnabled": true,
"thumbnail": {
"url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"dimensions": {
"width": 140,
"height": 140
}
},
"media": {
"previewMediaId": "xdjc0ooi43yg1",
"still": {
"source": {
"url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"dimensions": {
"width": 1680,
"height": 2520
}
},
"small": {
"url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"dimensions": {
"width": 108,
"height": 162
}
},
"medium": {
"url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"dimensions": {
"width": 216,
"height": 324
}
},
"large": {
"url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"dimensions": {
"width": 320,
"height": 480
}
},
"xlarge": {
"url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"dimensions": {
"width": 640,
"height": 960
}
},
"xxlarge": {
"url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"dimensions": {
"width": 960,
"height": 1440
}
},
"xxxlarge": {
"url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"dimensions": {
"width": 1080,
"height": 1620
}
},
"altText": null
},
"obfuscated_still": {
"source": null,
"small": null,
"medium": null,
"large": null,
"xlarge": null,
"xxlarge": null,
"xxxlarge": null
},
"animated": null,
"streaming": null,
"video": null,
"packagedMedia": null,
"typeHint": "IMAGE",
"download": null
},
"moderationInfo": null,
"suggestedCommentSort": null,
"permalink": "/r/test/comments/1sys4r2/image_post/",
"isSelfPost": false,
"postHint": "IMAGE",
"postEventInfo": null,
"gallery": null,
"devvit": null,
"outboundLink": {
"url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"expiresAt": "2026-04-29T13:59:15.573469+0000"
},
"postStats": {
"viewCountTotal": null,
"shareAllTotal": 0
},
"postStatsPrivate": null,
"isAuthorBlocked": false,
"upvoteRatio": 1,
"crowdControlLevel": "OFF",
"isCrowdControlFilterEnabled": false,
"languageCode": "und",
"isTranslatable": false,
"isTranslated": false,
"translatedLanguage": null,
"removedByCategory": null
}
},
"error": null,
"timestamp": "2026-04-29T08:59:15.741782+00:00"
}Post Comments V2
Fetch post comments with automatic tree expansion. Supports sort, comment_mode (custom/top_level/all), and limit.
Profile (Details) V2
Fetch profile-as-subreddit details. Returns post permissions, flair settings, mod permissions, contributor/subscriber status, NSFW flag, verification status.